# reactx-scripts

React 项目脚手架， 基于webpack5以上版本，启用本地文件缓存打包，

## 功能

  - 支持多主题编译（仅限less），编译原理基于`less-loader`的`implementation`配置处理
  - 支持常规proxy、publicPath、alias、babel插件等配置

## 使用

**在项目根目录`SRC同级`下新建 `app.config.js` 文件**

app.config.js

```js
const { resolve } = require('path');

module.exports = {
  publicPath: '/basicPortal/',
  pxtorem: true, // px 自动转成rem
  alias: {
    '@': resolve(__dirname, 'src')
  },
  themes: [
    {
      scopeName: 'default',
      path: resolve(__dirname, 'src/styles/themes/a.less')
    },
    {
      scopeName: 'other',
      path: resolve(__dirname, 'src/styles/themes/b.less')
    },
  ],
  proxy: {
    '/api': {
      target: 'http://xxx.com'
    }
  },
  addBabelPlugins: [
    // babel 额外添加的插件
  ],
};

```
## 目录

```
.
├── public        // index.html 等，同create-react-app
├── package.json  
├── app.config.js // 脚手架配置文件
└── src

```
